Bug 15940 - Remove unused JavaScript from authorities MARC subfield structure
Summary: Remove unused JavaScript from authorities MARC subfield structure
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/admin/auth_subfields_st...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-29 18:37 UTC by Owen Leonard
Modified: 2017-06-14 22:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15940 - Remove unused JavaScript from authorities MARC subfield structure (1.75 KB, patch)
2016-02-29 18:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15940 - Remove unused JavaScript from authorities MARC subfield structure (1.88 KB, patch)
2016-03-03 09:04 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15940 - Remove unused JavaScript from authorities MARC subfield structure (1.95 KB, patch)
2016-03-03 09:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-02-29 18:37:55 UTC
There is a "displayMoreConstraint" JavaScript function in the auth_subfields_structure template which is not now and has never been in use. It should be removed.
Comment 1 Owen Leonard 2016-02-29 18:42:53 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-03-03 09:04:46 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-03 09:20:08 UTC
Created attachment 48608 [details] [review]
Bug 15940 - Remove unused JavaScript from authorities MARC subfield structure

The authorities MARC subfield structure template contains some unused
JavaScript, "function displayMoreConstraint()" This patch removes it.

To test, apply the patch and go to Administration -> Authority types ->
MARC structure -> Subfields -> Edit subfields and confirm that there are
no JavaScript errors and tab switching works correctly.

A search of the source code should show no instances of
"displayMoreConstraint."

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  No regression, no JS warning.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-03 22:30:09 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-03-07 13:15:59 UTC
Patch pushed to 3.22.x, will be in 3.22.5
Comment 6 Frédéric Demians 2016-03-15 09:03:41 UTC
This patch has been pushed to 3.20.x, will be in 3.20.10.